Describes the result of an authentication attempt with Amazon Cognito

### Hierarchy

- IAuthenticationResult

## Index

### Properties

- error
- state
- user

## Properties

### Optional error

error: Error | undefined

- Defined in types.ts:28

If `state` was `AuthenticationError` this contains the error

### state

state: CognitoAuthState

- Defined in types.ts:24

See CognitoAuthState

### Optional user

user: CognitoUser | undefined

- Defined in types.ts:32

If `state` was `Authenticated` this contains the user